<template>
    <div class="content">
        <h2 class="title">Carrito</h2>
        <p>Marca: {{brand}}</p>
        <p>Modelo: {{model}}</p>
        <p>Potencia: {{power}}</p>
        <p>Dueño: {{duenio}}</p>
        <!-- <button @click="testPower">Aumentar</button> -->
        <button @click="upPower(20)">Aumentar</button>
        <button @click="downPowerFn">Disminuir</button>
    </div>

</template>

<script>
export default {
    props: {
        power: {
            type: Number,
            default: 60
        },
        duenio: {
            type: String,
            default: "Aurelio Miguel"
        },
        upPower: Function,
        //downPower: Function
    },
    emits: ["downPower"],

    setup(props, context) {
        const brand = "Audi"
        const model = "A4"

        console.log(props);

        //Primera forma de pasar usar una función pasada por props
        // const testPower = () => {
        //     props.upPower()
        // }

        const downPowerFn = () => {
            context.emit("downPower")
        }

        return {
            brand,
            model,
            // testPower
            downPowerFn
        }
    }
}
</script>

<style lang="scss" scoped>
.content {
    background-color: grey;

}
.title {
        color: blue;
    }
</style>